Summary: An ext2 filesystem editor.
Name: ext2ed
Version: 0.1
Release: 14mdk
Copyright: GPL
Group: System/Kernel and hardware 
Source: ftp://sunsite.unc.edu/pub/Linux/system/filesystems/ext2/ext2ed-0.1.tar.bz2
Patch: ext2ed-0.1-config.patch.bz2
Patch1: ext2ed-0.1-inode.patch.bz2
Patch2: ext2ed-0.1-glibc.patch.bz2
Patch3: ext2ed-0.1-compat21.patch.bz2
Patch4: ext2ed-0.1-noreadline.patch.bz2
BuildRoot: /var/tmp/%{name}-root
# this should only be built on little endian machines!
ExclusiveArch: alpha i386 i486 i586 k6 i686 ppc

%description
Ext2ed is a program which provides a text and window interface for
examining and editing an ext2 filesystem.  Ext2ed is supposed to be
easier to use than debugfs, but debugfs is more powerful.  Note that
this program should only be used by someone who is very experienced at
hacking filesystems.  

Install ext2ed if you want to examine and/or edit your ext2 filesystem,
and you know what you're doing.

%prep
%setup -q
%patch -p0 -b .config
%patch1 -p1 -b .inode
%patch2 -p1 -b .glibc
%patch3 -p1 -b .compat21
%patch4 -p1 -b .noreadline

%build
if [ x"$SMP" != x"" ]; then
	(make MAKE="make -j$SMP -k" FLAGS="$RPM_OPT_FLAGS" ; exit 0)
	make FLAGS="$RPM_OPT_FLAGS"
else
	make FLAGS="$RPM_OPT_FLAGS"
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/bin,usr/man/man8,var/lib}

make	BIN_DIR=$RPM_BUILD_ROOT/usr/bin \
	MAN_DIR=$RPM_BUILD_ROOT/usr/man/man8 \
	VAR_DIR=$RPM_BUILD_ROOT/var/lib/ext2ed \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/var/lib/ext2ed
/usr/bin/ext2ed
/usr/man/man8/ext2ed.8.bz2
%doc doc/user-guide-0.1.sgml
%doc doc/user-guide-0.1.ps
%doc doc/Ext2fs-overview-0.1.sgml

%changelog
* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 0.1-14mdk
- New group: System/Kernel and hardware

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-13mdk
- use the new group list
- use spechelper

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.1-12mdk
- added PPC support

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add archs and SMP macro

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- only build on little endian machines

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- mixing readling and ncurses is evil

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 17)

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses
- updated bad patch (!)

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- various spec file clean ups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- build against readline library w/ proper soname

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
